module.exports = {
    "/api/rss": {
        "target": "https://www.unige.ch/feed",
        "pathRewrite": {
            "^/api": ""
        },
        "changeOrigin": true
    },
    "/api/short-doi": {
        "target": "http://shortdoi.org",
        "pathRewrite": {
            "^/api/short-doi": ""
        },
        "changeOrigin": true,
    },
    "/dlcm/oauth": {
        "target": "http://localhost:16120/dlcm/oauth",
        "pathRewrite": {
            "^/dlcm/oauth": ""
        },
    },
    "/dlcm/shiblogin": {
        "target": "http://localhost:16120",
        "onProxyReq": (proxyReq, req, res) => {
            proxyReq.setHeader('mail', 'Marty.McFly@unige.ch');
            proxyReq.setHeader('uniqueid', '999999@unige.ch');
            proxyReq.setHeader('givenname', 'Marty');
            proxyReq.setHeader('surname', 'McFly');
            proxyReq.setHeader('homeorganization', 'unige.ch');
            proxyReq.setHeader('preferredlanguage', 'fr-ch');
        },
        "onProxyRes": (proxyRes, req, res) => {
            proxyRes.headers['Access-Control-Allow-Origin'] = 'http://localhost:4200';
        }
    }
}
