import {environment as environmentDlcmTest} from "@environments/environment.dlcmtest-local";
import {environment as environmentProd} from "@environments/environment.prod";
import {DlcmEnvironment} from "./environment.defaults.model";

export const environment: DlcmEnvironment = {
  ...environmentProd,
  ...environmentDlcmTest,
  production: true,
  dummyClientSecret: "123abc",
  clientId: "dlcm-test-local-angular",
  admin: "https://e-research-test.unige.ch/dlcm-test/administration/admin",
  forceRuntimeOverrideSetting: true,
  redirectUrl: "http://localhost:4200/",
};
